- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_disp.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_string.h>`
`#include <axis2_handler.h>`
`#include <axis2_svc.h>`

Go to the source code of this file.

## Defines
#define | AXIS2_DISP_NAMESPACE "http://axis.ws.apache.org"
## Typedefs
typedef struct axis2_disp | axis2_disp_t
## Functions
AXIS2_EXTERN axis2_handler_t * | axis2_disp_get_base (const axis2_disp_t *disp, const axutil_env_t *env)
AXIS2_EXTERN axutil_string_t * | axis2_disp_get_name (const axis2_disp_t *disp, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_disp_set_name (axis2_disp_t *disp, const axutil_env_t *env, axutil_string_t *name)
AXIS2_EXTERN void | axis2_disp_free (axis2_disp_t *disp, const axutil_env_t *env)
AXIS2_EXTERN axis2_disp_t * | axis2_disp_create (const axutil_env_t *env, const axutil_string_t *name)
axis2_status_t | axis2_disp_find_svc_and_op (struct axis2_handler *handler, const axutil_env_t *env, struct axis2_msg_ctx *msg_ctx)
AXIS2_EXTERN axis2_disp_t * | axis2_addr_disp_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_disp_t * | axis2_req_uri_disp_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_disp_t * | axis2_rest_disp_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_disp_t * | axis2_soap_body_disp_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_disp_t * | axis2_soap_action_disp_create (const axutil_env_t *env)

## Detailed Description